﻿@using System.Web.UI.WebControls;
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    function OnDownloadPDFVanningClick(s, e) {

            $.ajax({
                type: "POST",
                url: "@Url.Content("~/PickingListAndKanban/GenaretePDFVanning")",
                    data: {
        //                VANNING_NO: VANNING_NO,
        //                PICKUP_DATE: PICKUP_DT
                    },
                    success: function (result) {
                        if (result.success != "true")
                            alert(result.messages);
                        else {
                            //                             alert(result.FILE_NAME);
                            link = "@Url.Content("~/Content/ReportResult/")" + result.FILE_NAME;
                            window.open(link, "_blank");
                        }
                    }
              });
    }

    function OnDownloadPDFKanban(s, e) {

        $.ajax({
            type: "POST",
            url: "@Url.Content("~/PickingListAndKanban/GenaretePDFDataSource")",
                data: {
                    //                VANNING_NO: VANNING_NO,
                    //                PICKUP_DATE: PICKUP_DT
                },
                success: function (result) {
                    if (result.success != "true")
                        alert(result.messages);
                    else {
                        //                             alert(result.FILE_NAME);
                        link = "@Url.Content("~/Content/ReportResult/")" + result.FILE_NAME;
                            window.open(link, "_blank");
                        }
                    }
            });
            }
</script>

<div class="content">
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdPDFVanning";
                    Button.Text = "PDF Picking List";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "OnDownloadPDFVanningClick";
                    //Button.ClientSideEvents.Init = "OnInit";
                    // Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "ADD");
                }).GetHtml()

                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdPDFKanban";
                    Button.Text = "PDF Kanban";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "OnDownloadPDFKanban";
                    //Button.ClientSideEvents.Init = "OnInit";
                    // Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "ADD");
                }).GetHtml()

</div>
